#### PyKDE - Python Bindings for KDE

# class KParts.OpenURLEvent |
Table of contents
Modules
tdeparts Classes
All Classes

Module | tdeparts
Class | KParts.OpenURLEvent
Inherits | KParts.Event

### methods

- OpenURLEvent (part, url, args = KParts .URLArgs ())

  returns a OpenURLEvent instance
  Argument | Type | Default
  --- | --- | ---
  part | KParts.ReadOnlyPart |
  url | KURL |
  args | KParts.URLArgs | KParts .URLArgs ()

- args ()

  returns (KParts.URLArgs)

- part ()

  returns (KParts.ReadOnlyPart)

- test (event)

  returns (bool)
  static
  Argument | Type | Default
  --- | --- | ---
  event | TQEvent |

- url ()

  returns (KURL)